Bug 109228 - FILESAVE: ODT: Anchor changed from 'as character' to 'to character' after RT
Summary: FILESAVE: ODT: Anchor changed from 'as character' to 'to character' after RT
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Tamás Zolnai
QA Contact:
URL:
Whiteboard: target:6.0.0 target:5.4.1 target:5.3.6
Keywords: bibisected, bisected, filter:odt, regression
Depends on:
Blocks: Anchor-and-Text-Wrap
  Show dependency treegraph
 
Reported: 2017-07-20 09:05 UTC by Xisco Faulí
Modified: 2017-08-01 22:50 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
sample (18.02 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2017-07-20 09:05 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-07-20 09:05:33 UTC
Created attachment 134744 [details]
sample

Steps:
1. Open attached document
2. Save it as .ODT
3. Reopen the new file

Observed behaviour: Anchor has changed to 'to character' and the bitmat is centered

Reproduced in

Version: 6.0.0.0.alpha0+
Build ID: bde72cdae1e7e001d5089c5284672c976b8e43df
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group


[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2017-07-20 09:06:52 UTC
Regression introduced by:

author	Tamás Zolnai <tamas.zolnai@collabora.com>	2017-05-17 09:16:17 (GMT)
committer	Tamás Zolnai <tamas.zolnai@collabora.com>	2017-05-17 10:55:51 (GMT)
commit	6952d696439981962ad378aa28b0d16ea6e48f0e (patch)
tree	bc57f960da87507551b1121c5872b4b6fe71fe4f
parent	848ce52063cd611413e508b59e400d8ecd4c63d4 (diff)
tdf#100033: Frames with the same name are removed
Allow to have frames with the same name. For removing
real duplicated frames (generated by LO earlier)
check other things also next to the frame name:
position, size or whether the two frames are anchored
to the same position.

Bisected with bibisect-linux-64-5.4

Adding Cc: to Tamás Zolnai
Comment 2 Xisco Faulí 2017-07-20 09:39:38 UTC
The same commit affects attachment 46469 [details] from bug 36982
Comment 3 Xisco Faulí 2017-07-20 10:20:47 UTC
Same with attachment 81749 [details] from bug 66405
Comment 4 Commit Notification 2017-07-20 13:58:22 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=615c2a2c54d3e7aefb4986ae7d8de81a42022988

tdf#109228: FILESAVE: ODT: Anchor changed to 'to character' after RT

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-08-01 12:18:10 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f200d5700782ae179fd96b6ad4b0fe8e7edd1616&h=libreoffice-5-4

tdf#109228: FILESAVE: ODT: Anchor changed to 'to character' after RT

It will be available in 5.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-08-01 13:43:19 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=de5afba4c116792d795339f7e773e302259d8bf0&h=libreoffice-5-3

tdf#109228: FILESAVE: ODT: Anchor changed to 'to character' after RT

It will be available in 5.3.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2017-08-01 22:50:39 UTC
Verified in

Version: 6.0.0.0.alpha0+
Build ID: 50799a721c7ddcf9475a1b79984ed64ddd7cdf57
CPU threads: 4; OS: Linux 4.8; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group